My Project: dgBooleanMeshClipper::dgBooleanFaceCluster Class Reference

My Project

Public Member Functions | List of all members
dgBooleanMeshClipper::dgBooleanFaceCluster Class Reference
Inheritance diagram for dgBooleanMeshClipper::dgBooleanFaceCluster:

## Public Member Functions

| dgBooleanFaceCluster (dgMemoryAllocator *const allocator)
bool | ClipCluster (dgTreeNode *const clusterNode, dgBooleanMeshClipper *const meshBVH, const dgBooleanMeshClipper *const clipperMeshBVH)
Public Member Functions inherited from dgTree< dgClusterFace, dgMeshBVHNode *>
| dgTree (dgMemoryAllocator *const allocator)
virtual | ~dgTree ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgTreeNode * | GetRoot () const
dgTreeNode * | Minimum () const
dgTreeNode * | Maximum () const
dgTreeNode * | Find (dgMeshBVHNode * key) const
dgTreeNode * | FindGreater (dgMeshBVHNode * key) const
dgTreeNode * | FindGreaterEqual (dgMeshBVHNode * key) const
dgTreeNode * | FindLessEqual (dgMeshBVHNode * key) const
dgTreeNode * | GetNodeFromInfo (dgClusterFace &info) const
dgTreeNode * | Insert (const dgClusterFace &element, dgMeshBVHNode * key, bool &elementWasInTree)
dgTreeNode * | Insert (const dgClusterFace &element, dgMeshBVHNode * key)
dgTreeNode * | Insert (dgTreeNode *const node, dgMeshBVHNode * key)
dgTreeNode * | Replace (dgClusterFace &element, dgMeshBVHNode * key)
dgTreeNode * | ReplaceKey (dgMeshBVHNode * oldKey, dgMeshBVHNode * newKey)
dgTreeNode * | ReplaceKey (dgTreeNode *const node, dgMeshBVHNode * key)
void | Remove (dgMeshBVHNode * key)
void | Remove (dgTreeNode *const node)
void | RemoveAll ()
void | Unlink (dgTreeNode *const node)
void | SwapInfo (dgTree &tree)
bool | SanityCheck () const

## Constructor & Destructor Documentation

## § dgBooleanFaceCluster()

dgBooleanMeshClipper::dgBooleanFaceCluster::dgBooleanFaceCluster | ( | dgMemoryAllocator *const | allocator | ) |

inline

## Member Function Documentation

## § ClipCluster()

bool dgBooleanMeshClipper::dgBooleanFaceCluster::ClipCluster | ( | dgTreeNode *const | clusterNode,
|  | dgBooleanMeshClipper *const | meshBVH,
|  | const dgBooleanMeshClipper *const | clipperMeshBVH
| ) |  |

inline

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/meshUtil/dgMeshEffect5.cpp